
D4Science Infrastructure - Incident #9193

Smaph app: error from remote server

Jul 06, 2017 09:57 AM - Roberto Cirillo

Status: Closed Start date: Jul 06, 2017

Priority: Normal Due date:  

Assignee: Marco Cornolti % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

I see the following exception in catalina.out. The problem seems to be the same of #8986 

java.io.IOException: Server returned HTTP response code: 502 for URL: http://wikisense.mkapp.it:80

/tag/tag?lang=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedness=mw&sortBy=COMMONNESS&b

ogusFilter=false&useTagger=false&us

eContext=false

        at sun.reflect.GeneratedConstructorAccessor106.newInstance(Unknown Source)

        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessor

Impl.java:45)

        at java.lang.reflect.Constructor.newInstance(Constructor.java:423)

        at sun.net.www.protocol.http.HttpURLConnection$10.run(HttpURLConnection.java:1926)

        at sun.net.www.protocol.http.HttpURLConnection$10.run(HttpURLConnection.java:1921)

        at java.security.AccessController.doPrivileged(Native Method)

        at sun.net.www.protocol.http.HttpURLConnection.getChainedException(HttpURLConnection.java:

1920)

        at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1490

)

        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)

        at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:4

26)

        at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:4

36)

        at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:4

36)

        at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.solveSa2W(WATAnnotator.java:2

64)

        at it.unipi.di.acube.smaph.SmaphAnnotator.annotateSnippets(SmaphAnnotator.java:605)

        at it.unipi.di.acube.smaph.SmaphAnnotator.getQueryInformation(SmaphAnnotator.java:505)

        at it.unipi.di.acube.smaph.SmaphAnnotator.solveSa2W(SmaphAnnotator.java:201)

        at it.unipi.di.acube.smaph.SmaphAnnotator.solveSa2W(SmaphAnnotator.java:192)

        at it.unipi.di.acube.smaph.servlet.SmaphServlet.annotateDefault(SmaphServlet.java:106)

        at sun.reflect.GeneratedMethodAccessor63.invoke(Unknown Source)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

        at java.lang.reflect.Method.invoke(Method.java:498)

        at org.glassfish.jersey.server.model.internal.ResourceMethodInvocationHandlerFactory$1.inv

oke(ResourceMethodInvocationHandlerFactory.java:81)

        at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher$1.run(A

bstractJavaResourceMethodDispatcher.java:151)

        at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.invoke(

AbstractJavaResourceMethodDispatcher.java:171)

        at org.glassfish.jersey.server.model.internal.JavaResourceMethodDispatcherProvider$Respons

eOutInvoker.doDispatch(JavaResourceMethodDispatcherProvider.java:152)

        at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.dispatc

h(AbstractJavaResourceMethodDispatcher.java:104)

        at org.glassfish.jersey.server.model.ResourceMethodInvoker.invoke(ResourceMethodInvoker.ja

va:402)

        at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.jav

a:349)

        at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.jav

a:106)

        at org.glassfish.jersey.server.ServerRuntime$1.run(ServerRuntime.java:259)
        at org.glassfish.jersey.internal.Errors$1.call(Errors.java:271)

        at org.glassfish.jersey.internal.Errors$1.call(Errors.java:267)

        at org.glassfish.jersey.internal.Errors.process(Errors.java:315)

        at org.glassfish.jersey.internal.Errors.process(Errors.java:297)

        at org.glassfish.jersey.internal.Errors.process(Errors.java:267)

        at org.glassfish.jersey.process.internal.RequestScope.runInScope(RequestScope.java:318)

        at org.glassfish.jersey.server.ServerRuntime.process(ServerRuntime.java:236)

        at org.glassfish.jersey.server.ApplicationHandler.handle(ApplicationHandler.java:1010)

        at org.glassfish.jersey.servlet.WebComponent.service(WebComponent.java:373)

        at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:382)

        at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:345)

        at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:220)

        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain

.java:303)

        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:20

8)

        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

        at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)

        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)

        at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)

        at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)

        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)

        at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1

041)

        at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.j

ava:607)

        at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313)

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

        at java.lang.Thread.run(Thread.java:745)

Caused by: java.io.IOException: Server returned HTTP response code: 502 for URL: http://wikisense.

mkapp.it:80/tag/tag?lang=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedness=mw&sortBy=C

OMMONNESS&bogusFilter=false&useTagger=false&useContext=false

History

#1 - Jul 06, 2017 02:22 PM - Marco Cornolti

Should be up again.

#2 - Jul 06, 2017 04:42 PM - Roberto Cirillo

- Status changed from New to Closed

- % Done changed from 0 to 100

Now it's working fine.

#3 - Jul 10, 2017 09:48 AM - Roberto Cirillo

- Status changed from Closed to In Progress

- % Done changed from 100 to 0

Again, the same problem

Querying http://wikisense.mkapp.it:80/tag/tag?lang=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedne

ss=mw&sortBy=COMMONNESS&bogusFilter=false&useTagger=false&useContext=false

Got HTTP error 502. Message is: <html>

<head><title>502 Bad Gateway</title></head>

<body bgcolor="white">

<center><h1>502 Bad Gateway</h1></center>

<hr><center>nginx/1.12.0</center>

</body>

</html>

java.io.IOException: Server returned HTTP response code: 502 for URL: http://wikisense.mkapp.it:80/tag/tag?lan

g=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedness=mw&sortBy=COMMONNESS&bogusFilter=false&useTagg
er=false&useContext=false

    at sun.reflect.GeneratedConstructorAccessor106.newInstance(Unknown Source)

    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)

    at java.lang.reflect.Constructor.newInstance(Constructor.java:423)

    at sun.net.www.protocol.http.HttpURLConnection$10.run(HttpURLConnection.java:1926)

    at sun.net.www.protocol.http.HttpURLConnection$10.run(HttpURLConnection.java:1921)

    at java.security.AccessController.doPrivileged(Native Method)

    at sun.net.www.protocol.http.HttpURLConnection.getChainedException(HttpURLConnection.java:1920)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1490)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:426)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.solveSa2W(WATAnnotator.java:264)

    at it.unipi.di.acube.smaph.SmaphAnnotator.annotateSnippets(SmaphAnnotator.java:605)

    at it.unipi.di.acube.smaph.SmaphAnnotator.getQueryInformation(SmaphAnnotator.java:505)

    at it.unipi.di.acube.smaph.SmaphAnnotator.solveSa2W(SmaphAnnotator.java:201)

    at it.unipi.di.acube.smaph.SmaphAnnotator.solveSa2W(SmaphAnnotator.java:192)

    at it.unipi.di.acube.smaph.servlet.SmaphServlet.annotateDefault(SmaphServlet.java:106)

    at sun.reflect.GeneratedMethodAccessor63.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at org.glassfish.jersey.server.model.internal.ResourceMethodInvocationHandlerFactory$1.invoke(ResourceMeth

odInvocationHandlerFactory.java:81)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher$1.run(AbstractJavaResou

rceMethodDispatcher.java:151)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.invoke(AbstractJavaReso

urceMethodDispatcher.java:171)

    at org.glassfish.jersey.server.model.internal.JavaResourceMethodDispatcherProvider$ResponseOutInvoker.doDi

spatch(JavaResourceMethodDispatcherProvider.java:152)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.dispatch(AbstractJavaRe

sourceMethodDispatcher.java:104)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.invoke(ResourceMethodInvoker.java:402)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:349)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:106)

    at org.glassfish.jersey.server.ServerRuntime$1.run(ServerRuntime.java:259)

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:271)

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:267)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:315)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:297)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:267)

    at org.glassfish.jersey.process.internal.RequestScope.runInScope(RequestScope.java:318)

    at org.glassfish.jersey.server.ServerRuntime.process(ServerRuntime.java:236)

    at org.glassfish.jersey.server.ApplicationHandler.handle(ApplicationHandler.java:1010)

    at org.glassfish.jersey.servlet.WebComponent.service(WebComponent.java:373)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:382)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:345)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:220)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)

    at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:607)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    at java.lang.Thread.run(Thread.java:745)

Caused by: java.io.IOException: Server returned HTTP response code: 502 for URL: http://wikisense.mkapp.it:80/

tag/tag?lang=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedness=mw&sortBy=COMMONNESS&bogusFilter=fa

lse&useTagger=false&useContext=false

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1876)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)

    at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:480)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:420)

    ... 47 more

Querying http://wikisense.mkapp.it:80/tag/tag?lang=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedne

ss=mw&sortBy=COMMONNESS&bogusFilter=false&useTagger=false&useContext=false

Got HTTP error 502. Message is: <html>

<head><title>502 Bad Gateway</title></head>
<body bgcolor="white">

<center><h1>502 Bad Gateway</h1></center>

<hr><center>nginx/1.12.0</center>

</body>

</html>

java.io.IOException: Server returned HTTP response code: 502 for URL: http://wikisense.mkapp.it:80/tag/tag?lan

g=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedness=mw&sortBy=COMMONNESS&bogusFilter=false&useTagg

er=false&useContext=false

    at sun.reflect.GeneratedConstructorAccessor106.newInstance(Unknown Source)

    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)

    at java.lang.reflect.Constructor.newInstance(Constructor.java:423)

    at sun.net.www.protocol.http.HttpURLConnection$10.run(HttpURLConnection.java:1926)

    at sun.net.www.protocol.http.HttpURLConnection$10.run(HttpURLConnection.java:1921)

    at java.security.AccessController.doPrivileged(Native Method)

    at sun.net.www.protocol.http.HttpURLConnection.getChainedException(HttpURLConnection.java:1920)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1490)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:426)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:436)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.solveSa2W(WATAnnotator.java:264)

    at it.unipi.di.acube.smaph.SmaphAnnotator.annotateSnippets(SmaphAnnotator.java:605)

    at it.unipi.di.acube.smaph.SmaphAnnotator.getQueryInformation(SmaphAnnotator.java:505)

    at it.unipi.di.acube.smaph.SmaphAnnotator.solveSa2W(SmaphAnnotator.java:201)

    at it.unipi.di.acube.smaph.SmaphAnnotator.solveSa2W(SmaphAnnotator.java:192)

    at it.unipi.di.acube.smaph.servlet.SmaphServlet.annotateDefault(SmaphServlet.java:106)

    at sun.reflect.GeneratedMethodAccessor63.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at org.glassfish.jersey.server.model.internal.ResourceMethodInvocationHandlerFactory$1.invoke(ResourceMeth

odInvocationHandlerFactory.java:81)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher$1.run(AbstractJavaResou

rceMethodDispatcher.java:151)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.invoke(AbstractJavaReso

urceMethodDispatcher.java:171)

    at org.glassfish.jersey.server.model.internal.JavaResourceMethodDispatcherProvider$ResponseOutInvoker.doDi

spatch(JavaResourceMethodDispatcherProvider.java:152)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.dispatch(AbstractJavaRe

sourceMethodDispatcher.java:104)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.invoke(ResourceMethodInvoker.java:402)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:349)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:106)

    at org.glassfish.jersey.server.ServerRuntime$1.run(ServerRuntime.java:259)

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:271)

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:267)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:315)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:297)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:267)

    at org.glassfish.jersey.process.internal.RequestScope.runInScope(RequestScope.java:318)

    at org.glassfish.jersey.server.ServerRuntime.process(ServerRuntime.java:236)

    at org.glassfish.jersey.server.ApplicationHandler.handle(ApplicationHandler.java:1010)

    at org.glassfish.jersey.servlet.WebComponent.service(WebComponent.java:373)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:382)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:345)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:220)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)

    at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:607)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    at java.lang.Thread.run(Thread.java:745)

Caused by: java.io.IOException: Server returned HTTP response code: 502 for URL: http://wikisense.mkapp.it:80/

tag/tag?lang=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedness=mw&sortBy=COMMONNESS&bogusFilter=fa

lse&useTagger=false&useContext=false
    at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1876)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)

    at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:480)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:420)

    ... 48 more

Querying http://wikisense.mkapp.it:80/tag/tag?lang=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedne

ss=mw&sortBy=COMMONNESS&bogusFilter=false&useTagger=false&useContext=false

Got HTTP error 502. Message is: <html>

<head><title>502 Bad Gateway</title></head>

<body bgcolor="white">

<center><h1>502 Bad Gateway</h1></center>

<hr><center>nginx/1.12.0</center>

</body>

</html>

java.io.IOException: Server returned HTTP response code: 502 for URL: http://wikisense.mkapp.it:80/tag/tag?lan

g=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedness=mw&sortBy=COMMONNESS&bogusFilter=false&useTagg

er=false&useContext=false

    at sun.reflect.GeneratedConstructorAccessor106.newInstance(Unknown Source)

    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)

    at java.lang.reflect.Constructor.newInstance(Constructor.java:423)

    at sun.net.www.protocol.http.HttpURLConnection$10.run(HttpURLConnection.java:1926)

    at sun.net.www.protocol.http.HttpURLConnection$10.run(HttpURLConnection.java:1921)

    at java.security.AccessController.doPrivileged(Native Method)

    at sun.net.www.protocol.http.HttpURLConnection.getChainedException(HttpURLConnection.java:1920)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1490)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:426)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:436)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:436)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.solveSa2W(WATAnnotator.java:264)

    at it.unipi.di.acube.smaph.SmaphAnnotator.annotateSnippets(SmaphAnnotator.java:605)

    at it.unipi.di.acube.smaph.SmaphAnnotator.getQueryInformation(SmaphAnnotator.java:505)

    at it.unipi.di.acube.smaph.SmaphAnnotator.solveSa2W(SmaphAnnotator.java:201)

    at it.unipi.di.acube.smaph.SmaphAnnotator.solveSa2W(SmaphAnnotator.java:192)

    at it.unipi.di.acube.smaph.servlet.SmaphServlet.annotateDefault(SmaphServlet.java:106)

    at sun.reflect.GeneratedMethodAccessor63.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at org.glassfish.jersey.server.model.internal.ResourceMethodInvocationHandlerFactory$1.invoke(ResourceMeth

odInvocationHandlerFactory.java:81)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher$1.run(AbstractJavaResou

rceMethodDispatcher.java:151)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.invoke(AbstractJavaReso

urceMethodDispatcher.java:171)

    at org.glassfish.jersey.server.model.internal.JavaResourceMethodDispatcherProvider$ResponseOutInvoker.doDi

spatch(JavaResourceMethodDispatcherProvider.java:152)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.dispatch(AbstractJavaRe

sourceMethodDispatcher.java:104)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.invoke(ResourceMethodInvoker.java:402)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:349)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:106)

    at org.glassfish.jersey.server.ServerRuntime$1.run(ServerRuntime.java:259)

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:271)

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:267)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:315)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:297)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:267)

    at org.glassfish.jersey.process.internal.RequestScope.runInScope(RequestScope.java:318)

    at org.glassfish.jersey.server.ServerRuntime.process(ServerRuntime.java:236)

    at org.glassfish.jersey.server.ApplicationHandler.handle(ApplicationHandler.java:1010)

    at org.glassfish.jersey.servlet.WebComponent.service(WebComponent.java:373)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:382)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:345)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:220)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)

    at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)
    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:607)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    at java.lang.Thread.run(Thread.java:745)

Caused by: java.io.IOException: Server returned HTTP response code: 502 for URL: http://wikisense.mkapp.it:80/

tag/tag?lang=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedness=mw&sortBy=COMMONNESS&bogusFilter=fa

lse&useTagger=false&useContext=false

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1876)

    at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)

    at java.net.HttpURLConnection.getResponseCode(HttpURLConnection.java:480)

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.queryJson(WATAnnotator.java:420)

    ... 49 more

Got error while querying WikiSense API with GET parameters: lang=en&method=base&epsilon=0.2&minLinkProbability

=0.0&relatedness=mw&sortBy=COMMONNESS&bogusFilter=false&useTagger=false&useContext=false with text: Apollo 11 

was the spaceflight that landed the first two humans on the Moon. Mission commander Neil Armstrong and pilot B

uzz Aldrin, both American, landed  ...it.unipi.di.acube.batframework.utils.AnnotationException: An error occur

red while querying WikiSense API. Message: Server returned HTTP response code: 502 for URL: http://wikisense.m

kapp.it:80/tag/tag?lang=en&method=base&epsilon=0.2&minLinkProbability=0.0&relatedness=mw&sortBy=COMMONNESS&bog

usFilter=false&useTagger=false&useContext=false

    at it.unipi.di.acube.batframework.systemPlugins.WATAnnotator.solveSa2W(WATAnnotator.java:277)

    at it.unipi.di.acube.smaph.SmaphAnnotator.annotateSnippets(SmaphAnnotator.java:605)

    at it.unipi.di.acube.smaph.SmaphAnnotator.getQueryInformation(SmaphAnnotator.java:505)

    at it.unipi.di.acube.smaph.SmaphAnnotator.solveSa2W(SmaphAnnotator.java:201)

    at it.unipi.di.acube.smaph.SmaphAnnotator.solveSa2W(SmaphAnnotator.java:192)

    at it.unipi.di.acube.smaph.servlet.SmaphServlet.annotateDefault(SmaphServlet.java:106)

    at sun.reflect.GeneratedMethodAccessor63.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at org.glassfish.jersey.server.model.internal.ResourceMethodInvocationHandlerFactory$1.invoke(ResourceMeth

odInvocationHandlerFactory.java:81)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher$1.run(AbstractJavaResou

rceMethodDispatcher.java:151)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.invoke(AbstractJavaReso

urceMethodDispatcher.java:171)

    at org.glassfish.jersey.server.model.internal.JavaResourceMethodDispatcherProvider$ResponseOutInvoker.doDi

spatch(JavaResourceMethodDispatcherProvider.java:152)

    at org.glassfish.jersey.server.model.internal.AbstractJavaResourceMethodDispatcher.dispatch(AbstractJavaRe

sourceMethodDispatcher.java:104)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.invoke(ResourceMethodInvoker.java:402)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:349)

    at org.glassfish.jersey.server.model.ResourceMethodInvoker.apply(ResourceMethodInvoker.java:106)

    at org.glassfish.jersey.server.ServerRuntime$1.run(ServerRuntime.java:259)

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:271)

    at org.glassfish.jersey.internal.Errors$1.call(Errors.java:267)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:315)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:297)

    at org.glassfish.jersey.internal.Errors.process(Errors.java:267)

    at org.glassfish.jersey.process.internal.RequestScope.runInScope(RequestScope.java:318)

    at org.glassfish.jersey.server.ServerRuntime.process(ServerRuntime.java:236)

    at org.glassfish.jersey.server.ApplicationHandler.handle(ApplicationHandler.java:1010)

    at org.glassfish.jersey.servlet.WebComponent.service(WebComponent.java:373)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:382)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:345)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:220)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)

    at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:607)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    at java.lang.Thread.run(Thread.java:745)
#4 - Jul 10, 2017 01:48 PM - Marco Cornolti

Thanks for reporting. Brought the service up again.

BTW, when #9235 will be done, I will make SMAPH depend on the new deployment of WAT and these kind of issues should be solved permanently.

#5 - Jul 10, 2017 03:04 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#6 - Jul 14, 2017 10:06 AM - Roberto Cirillo

- Status changed from Closed to In Progress

- % Done changed from 100 to 0

The problem is there again.

#7 - Jul 17, 2017 12:59 PM - Marco Cornolti

Roberto Cirillo wrote:

The problem is there again.

 The machine got broken again, I had to move the service elsewhere. Can you verify if it's working now?

#8 - Jul 17, 2017 03:11 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Now it is working well
